Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class InlinedASTCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.InlinedASTCustomizerFactory

- All Implemented Interfaces and Traits:
    PostCompletionFactory

      @SuppressWarnings("unchecked")
      public class InlinedASTCustomizerFactory
      extends AbstractFactory
      implements PostCompletionFactory

  This factory lets a user define a compilation customizer without having to define an anonymous inner class.

  Here is an example, which only logs the class name during compilation:

       inline(phase:'CONVERSION') { source, context, classNode ->
           println "visiting $classNode"
       }

  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isHandlesNodeChildren()`
    `` | `public Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `public boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
    `` | `public Object` | `postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Method Detail

    - #### @Override
      public boolean isHandlesNodeChildren()

    - #### @Override
      public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override
      public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

    - #### @Override
      public Object postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)